.border-rounded input[type='text'], .border-rounded input[type='number'], .border-rounded input[type='date'], .border-rounded textarea{
    width:100%;
}
.border-rounded select{
    max-width: 100%;
}
.border-rounded textarea{
    resize: none;
}

.col-title{
    font-weight: 600;
   /* white-space:nowrap;*/
}

.border-rounded{
    padding:15px;
    margin:30px;
    border:1px solid #ddd;
    border-radius: 10px;
}

span.parametr label{
    display: inline-block;
    padding:5px;
    margin:3px;
    font-size:12px;
    border:1px solid #ddd;
    border-radius: 5px;
    cursor: pointer;
}

span.parametr input[type='checkbox']{
    display: none;
}

span.parametr input[type='checkbox']:checked+label{
    /*background-color: #28a745;*/
    background-color: rgba(40,167,69, 0.3);
}


.glr{
    display: inline-block;
    position: relative;
    margin:0;
    vertical-align: top;
}

.glr > li{
    vertical-align: top;
    list-style-type: none;
    display: inline-block;
    height:150px;
    border:1px solid #ddd;
    border-radius: 5px;
    position:relative;
    margin:5px;
    overflow: hidden;
    cursor: move;

}

.glr > li > img{
    height:150px;
    position: relative;
    z-index: 0;
}

.glr > li > .del{
    display:inline-block;
    padding:1px 3px;
    position: absolute;
    right:3px;
    top:3px;
    font-weight: bold;
    color:#fff;
    border-radius: 3px;
    border:1px solid rgba(0,0,0, 0.8);
    background-color: rgba(0,0,0, 0.6);
    z-index: 1;
    cursor: pointer;
}

.glr > li > .addgimg{
	width:100%;
	text-align: center;
        position: absolute;
	bottom:0px;
	font-size: 12px;
	display:inline-block;
	padding:1px;
	color:#fff;
	background-color: rgba(0,0,0, .5);
	z-index: 1;
cursor: pointer;	
}

label.dwn{
    vertical-align: top;
    display: inline-block;
    width:150px;
    height:50px;
    z-index: 20;
    overflow: hidden;
    background-color: #f0f0f0;
    border:1px solid #ddd;
    border-radius: 5px;
    position:relative;
    top:0;
    left:0;
}
label.dwn input[type='file']{
    margin:-5px;
    display:inline-block;
    width:160px;
    height:60px;
    z-index:50;
    opacity:0;
    position:relative;
}

label.dwn div{
    z-index:30;
    position:absolute;
}

label.dwn div.sel{
    top:5px;
    width:100%;
    text-align: center;
    font-size: 14px;
}

label.dwn div.count{
    bottom:5px;
    width:100%;
    text-align: center;
    font-size: 12px;
    font-weight: normal;

}

#dwnframe{
    width:1px;
    height:1px;
    display: none;
}

#pricetable sup .del{
    color: #d00;
    font-size: 14px;
}

#zayavki .period{
display: inline-block;
vertical-align: top;
margin:0 2px 2px 0;
padding:1px;
border:1px solid #000;
font-size: 11px;
width:35px;
height:35px;
text-align: center;
}

#zayavki .period.ok{
    background-color: #0d0;
}

#zayavki .period.fail{
    background-color: #b00;
}

#zayavki .period span{
    display: block;
}
#zayavki .period span + span{
    border-top:1px solid #000;
    margin-top:2px;
    padding-top:2px;
}

.listpage .row:nth-child(odd){
    background-color:#f0f0f0;
}

.listpage .row:nth-child(n+6){
    display:none;
}

#report-rezult{
    width:100%;
    overflow-x: auto;
}

table.report td, table.report th{
    height:30px;
    border:0;
    background-color: #f0f0f0;
}

table.report .cell{
    width:50px;
    text-align: center;
}

table.report .cell.ok{
    background-color: rgba(0,255,0,.5);
}

table.report .cell.warning{
    background-color: rgba(0,0,255,.5);
}

table.report .cell.fail{
    background-color: rgba(255,0,0,.5);
}

table.report .title{
    width:300px;
}

#add_z_form, #button_code{
    display:none;
}

#button_code{
    margin-top:20px;
}

#genimg{
margin-bottom: 20px;    
}

#genimg span{
    overflow: hidden;
    width:250px;
    height: 180px;
    display: block;
}

#genimg img{
    max-height: 180px;
    max-width: 250px;
}

.ui-sortable{
    margin:0;
}

.ui-sortable li{
    list-style-type: none;
}

.ui-sortable .move, .ui-sortable .move + .row{
    display: inline-block;
    vertical-align: middle;
}

.ui-sortable .move{
    width: 20px;
    cursor: move;
    
}

.ui-sortable .move + .row{
    width:calc(100% - 30px);
}

li.lst{
    border-bottom: 1px solid #f0f0f0;
}

.d-none{
    display: none;
}
